<%@ include file="header.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="com.moonlit.logfaces.server.vo.*" %>

<%
	Map params = (Map)request.getAttribute("params");
	Map<String, EmailReportEntryVO> reports = (Map<String, EmailReportEntryVO>)params.get("reports"); 
	List<TriggerVO> triggers = (List<TriggerVO>)params.get("triggers");
%>

	<ul id="menu">
		<li><a href="/connectivityTab">Connectivity</a></li>
		<li><a href="/databaseTab">Database</a></li>
		<li><a href="/contextTab">Context</a></li>
		<li><a href="/emailTab">Email</a></li>
		<li class="sel">Notifications</li>
		<li><a href="/licenseTab">License</a></li>
		<li><a href="/statusTab">Status</a></li>
		<li class="icon"><img class="subject" title='Modify trigger' src='images/notifications.png'/></li>
	</ul>

	<div id="content">		
		<div id="main">

			<table border="0" align="center">
				<tr>
					<td>
					   <div class="caption">reports</div>
					   		Reports schedule delivery of log files to e-mail recipients.
					   <br>
					</td>
				</tr>
				
				<tr>
					<td>
						<table class="listing">
							<thead>
								<tr>
									<th>Report name</th>
									<th>Trigger cron expression</th>
									<th>Next fire time</th>
									<th>Enabled</th>
									<th><b><a href="/addReport">Add report</a></b></th>
								</tr>
						   </thead>
						   
						   <%if(reports.size() == 0){ %>
						   <tr>
						   	<td colspan=5 align="center">
						   		Currently there are no reports scheduled. Click "Add new" link to add reports.
						   	</td>
						   </tr>
						   <%}else{
								Iterator<EmailReportEntryVO> it = reports.values().iterator();
								while(it.hasNext()){
									EmailReportEntryVO vo = it.next();
							%>				
							<tr>
								<td> 
									<%=vo.getName()%>
								</td>
			
								<td>
									<%=vo.getCron()%>
								</td>
			
								<td>
								    <%if(vo.isEnabled()){ %>
									<%=vo.getNextFireTime()%>
									<%}%>
								</td>
			
								<td>
									<%=vo.isEnabled()?"<img title='Enabled' src='images/enabled.gif'/>":"<img title='Disabled' src='images/exclude.gif'/>"%>
								</td>	

								<td>
									<a href="report?jobName=<%=vo.getName()%>"><img title='Modify report' src='images/edit.gif'/></a>
									<a href="/testReport?name=<%=vo.getName()%>"><img title='Test report' src='images/export.gif'/></a>
									<a href="/removeReport?name=<%=vo.getName()%>"><img title='Remove report' src='images/close.gif'/></a>
								</td>
							</tr>
							<%}
						} %>
						</table>
			
					</td>
				</tr>
			
			
				<tr>
					<td>
					   <br>
					   <div class="caption">triggers</div>
					   Triggers fire e-mail notifications in real-time when certain log events get caught by filters.
					   <br>
					</td>
				</tr>


				<tr>
					<td>
					<form action="updateReports">
						<table class="listing">
							<thead>
								<tr>
									<th>Description</th>
									<th>Fired when</th>
									<th>Frequency limitation</th>
									<th>Last fired</th>
									<th>Enabled</th>
									<th><b><a href="/addTrigger">Add trigger</a></b></th>
								</tr>
						   </thead>
						   
						   <%if(triggers.size() == 0){ %>
						   <tr>
						   	<td colspan=5 align="center">
						   		Currently there are no triggers defined. Click "Add trigger" link to add triggers.
						   	</td>
						   </tr>
						   <%}else{%>
						   	<%for(TriggerVO trigger : triggers){%>
						   		<tr>
						   			<td><%=trigger.getDescription()%></td>
						   			<td><%=trigger.getCounter()%> event(s) occur within <%=trigger.getTimeSpan()%> minute(s)</td>
						   			<td><%=trigger.getFrequency()%> minute(s)</td>
						   			<td><%=trigger.getLastFiredTimeStr()%></td>
						   			<td><%=trigger.isEnabled()?"<img title='Enabled' src='images/enabled.gif'/>":"<img title='Disabled' src='images/exclude.gif'/>"%></td>
									<td>
										<a href="/trigger?tab=reports&name=<%=trigger.getName()%>"><img title='Modify trigger' src='images/edit.gif'/></a>
										<a href="/removeTrigger?name=<%=trigger.getName()%>"><img title='Remove trigger' src='images/close.gif'/></a>
									</td>
						   		</tr>
						   	<%}%>
						   
						   <%}%>						   
						</table>
					</form>				
					</td>
			</table>

		</div> <!--end main DIV -->
	</div> <!--end content DIV -->

<%@ include file="footer.jsp" %>