<%@ include file="header.jsp" %>
<%@ page import="java.util.*" %>

<%
	Map params = (Map)request.getAttribute("params");
	boolean maintRelevant = (Boolean)params.get("maintRelevant");
	boolean databaseOK = (Boolean)params.get("databaseOK");
	int nofLastErrors = (Integer)params.get("nofLastErrors");
%>

	<ul id="menu">
		<li><a href="/connectivityTab">Connectivity</a></li>
		<li><a href="/databaseTab">Database</a></li>
		<li><a href="/contextTab">Context</a></li>
		<li><a href="/emailTab">Email</a></li>
		<li><a href="/notificationsTab">Notifications</a></li>
		<li><a href="/licenseTab">License</a></li>
		<li class="sel">Status</li>
		<li class="icon"><img class="subject" title='Modify trigger' src='images/status.png'/></li>
	</ul>

	<div id="content">		
		<div id="main">

		<table class="listing">
			<thead>
				<tr>
					<th>Status item</th>
					<th>Value</th>
					<th>Action</th>
				</tr>
		   </thead>
		
			<tr>
				<td>Server version</td>
				<td><%=params.get("version")%></td>
				<td><a href="/checkUpdate">check for software updates</a></td>
			</tr>
		
			<tr>
				<td>JRE version</td>
				<td><%=params.get("jreVersion")%></td>
				<td></td>
			</tr>
		
			<tr>
				<td>Engine status</td>
				<td>
					<%if((Boolean)params.get("status")){%>
						<font color="green">running</font>
					<%}else{%>
						<font color="red">down</font>
					<%} %>
				</td>
				<td>
					<%if((Boolean)params.get("status")){%>
						<a href="/engineStop">stop engine</a>
					<%}else{%>
						<a href="/engineStart">start engine</a>
					<%} %>
				</td>
				<td></td>
			</tr>

			<tr>
				<td>Last errors</td>
				<td>
					<%if(nofLastErrors > 0){%>
						<font color="red"><%=nofLastErrors%></font>
					<%}else{%>
					   none
					<%}%>
				</td>
				<td>
					<%if(nofLastErrors > 0){%>
						<a href="/showLastErrors">show</a>,  <a href="/resetLastErrors">reset</a>
					<%}%>
				</td>
				<td></td>
			</tr>
		
			<tr>
				<td>JVM memory max/free (MB)</td>
				<td><%=params.get("maxMemory")%>/<%=params.get("freeMemory")%></td>
				<td><a href="/runGc">run garbage collection</a></td>
			</tr>
		
			<tr>
				<td>Number of threads</td>
				<td><%=params.get("nofThreads")%></td>
				<td><a href="/getThreadDumps">fetch stack traces</a></td>
			</tr>

			<tr>
				<td>Load (events per second)</td>
				<td>Moving average: <%=params.get("loadAvg")%>, Max: <%=params.get("loadMax")%></td>
				<td></td>
			</tr>
			
			<tr>
				<td>Number of active clients</td>
				<td><%=params.get("nofClients")%></td>
				<td></td>
			</tr>

			<tr>
				<td>Number of active applications</td>
				<td><%=params.get("nofAppenders")%></td>
				<td></td>
			</tr>
			
			<tr>
				<td>Domains/hosts/loggers</td>
				<td><%=params.get("nofDomains")%>/<%=params.get("nofHosts")%>/<%=params.get("nofLoggers")%></td>
				<td></td>
			</tr>
		
			<tr>
				<td>Connected to database</td>
				<td>
					<%if(databaseOK){%><font color="green">yes</font><%}else{%><font color="red">no</font><%}%>
				</td>
				<td><%if(!databaseOK){%><a href="/getInternalLog">download log file</a><%}%></td>
			</tr>
		
			<%if(databaseOK){%>
			<tr>
				<td>Number of records</td>
				<td>
					<%=params.get("nofRecords")%>
				</td>
				<td><a href="/clearDatabase">re-create database</a></td>
			</tr>
		
			<tr>
				<td>Database name</td>
				<td>
					<%=params.get("databaseProductName")%>
				</td>
				<td></td>
			</tr>

			<tr>
				<td>Database version</td>
				<td>
					<%=params.get("databaseProductVersion")%>
				</td>
				<td></td>
			</tr>

			<tr>
				<td>Database driver</td>
				<td>
					<%=params.get("driverName")%>
				</td>
				<td></td>
			</tr>

			<tr>
				<td>Database driver version</td>
				<td>
					<%=params.get("driverVersion")%>
				</td>
				<td></td>
			</tr>
		
			<%if(params.get("databaseSize") != null){%>
			<tr>
				<td>Database size</td>
				<td><%=params.get("databaseSize")%></td>
				<td></td>
			</tr>
			<%}%>
		
			<%if(maintRelevant){%>
			<tr>
				<td>Next maintenance time</td>
				<td>
					<%=params.get("maintTime")%>
				</td>
				<td><a href="/maintDatabase">do maintenance now</a></td>
			</tr>
			<%}%>
		
			<tr>
				<td>Internal log</td>
				<td>-</td>
				<td><a href="/getInternalLog">download</a></td>
			</tr>
			<%}%>
			
		</table>

		</div> <!--end main DIV -->
	</div> <!--end content DIV -->

<%@ include file="footer.jsp" %>