<%@ include file="header.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="com.moonlit.logfaces.server.vo.TriggerVO" %>
<%@ page import="com.moonlit.logfaces.server.vo.FilterEntryVO" %>
<%@ page import="com.moonlit.logfaces.server.util.Utils" %>

<%
	Map params = (Map)request.getAttribute("params");
	TriggerVO trigger = (TriggerVO)params.get("trigger");
	List<FilterEntryVO> filters = (List<FilterEntryVO>)params.get("filters");
	String title = (String)params.get("title");
	String priority = trigger.getMailPriority();
%>

	<ul id="menu">
		<li><%=title%></li>
		<li class="icon"><img class="subject" title='trigger' src='images/trigger.png'/></li>
	</ul>

	<div id="content">		
		<div id="main">

	    	<form action="updateTrigger">
	    	<input type="hidden" value="<%=trigger.getName()%>" name="name"/>
				<table border="0" width="95%" align="center" cellspacing="4" cellpadding="4">
				
					<tr>
						<td>
					   		<div class="caption">Filters</div>
					   		Filters will trap log events and eventually fire the trigger when its conditions are met.
						</td>
					</tr>
					
					<tr>
						<td>
							<table class="listing">
								<thead>
									<tr>
										<th>Type</th>
										<th>Severity</th>
										<th>Thrown</th>
										<th>Domains</th>
										<th>Loggers</th>
										<th>Hosts</th>
										<th>Regex</th>
										<th><b><a href="/addFilter">Add filter</a></b></th>
									</tr>
								</thead>
								
								<%for(FilterEntryVO filter : filters){%>
									<tr>
										<td><%=filter.isExcluder()?"<img src='images/exclude.gif'/>":"<img src='images/include.gif'/>"%>
										
										</td>
										
										<td><%=filter.getSeverityStr()%></td>
										<td><%=filter.isThrown()%></td>
										<td><%=Utils.trimString(filter.getApplication(),20)%></td>
										<td><%=Utils.trimString(filter.getLogger(),20)%></td>
										<td><%=Utils.trimString(filter.getHostsCsv(),20)%></td>
										<td><%=Utils.trimString(filter.getRegex(),20)%></td>
										<td>
											<a href="/filter?id=<%=filter.getId()%>"><img title='Modify filter' src='images/edit.gif'/></a>
											<a href="/removeFilter?id=<%=filter.getId()%>"><img title='Remove filter' src='images/close.gif'/></a>
										</td>
									</tr>
								<%}%>
							</table>
						</td>
					</tr>
									
					<tr>
						<td>
						    <br>
					   		<div class="caption">Options</div>
						</td>
					</tr>
									
					<tr>
						<td>
							<table class="listing">
								<thead>
									<tr>
										<th>Field</th>
										<th>Value</th>
										<th>Description</th>
									</tr>
								</thead>
								<tr>
									<td>Enabled</td>
									<td align="center" valign="middle">
										<input name="enabled" type="checkbox" <%if(trigger.isEnabled()){%>checked="checked"<%}%>/>
									</td>
									<td>Trigger will not fire unless enabled.</td>
								</tr>
								
								<tr>
									<td>Description</td>
									<td><input value="<%=trigger.getDescription()%>" name="description"></input></td>
									<td>This text will appear in email subject and attachment.</td>
								</tr>
								<tr>
									<td>Recipients</td>
									<td><input value="<%=trigger.getRecipients()%>" name="recipients"></input></td>
									<td>E-mails will be sent to those recipients (comma separated)</td>
								</tr>
								<tr>
									<td>Priority</td>
									<td>
										<select name="priority">
											<option<%if(priority.equals("highest")){%> selected="selected"<%}%>>highest
											<option<%if(priority.equals("high")){%> selected="selected"<%}%>>high
											<option<%if(priority.equals("normal")){%> selected="selected"<%}%>>normal
											<option<%if(priority.equals("low")){%> selected="selected"<%}%>>low
											<option<%if(priority.equals("lowest")){%> selected="selected"<%}%>>lowest
										</select>
									</td>
									<td>E-mails will be sent with this priority</td>
								</tr>
								<tr>
									<td>Layout</td>
									<td><input value="<%=trigger.getLayout()%>" name="layout"></input></td>
									<td>Attached log file layout
									<a target="_blank" href="http://logging.apache.org/log4j/1.2/apidocs/org/apache/log4j/PatternLayout.html">(see log4j spec for details)</a>
									</td>
								</tr>
								<tr>
									<td>Counter</td>
									<td><input value="<%=trigger.getCounter()%>" name="counter"></input></td>
									<td>Will fire when this number of log events trapped in sequence</td>
								</tr>
								<tr>
									<td>Time frame</td>
									<td><input value="<%=trigger.getTimeSpan()%>" name="timespan"></input></td>
									<td>Will fire only when events are trapped within this time frame (minutes)</td>
								</tr>
								<tr>
									<td>Frequency limit</td>
									<td><input value="<%=trigger.getFrequency()%>" name="frequency"></input></td>
									<td>Will NOT fire more often than specified (minutes).</td>
								</tr>
							</table>
						</td>
					</tr>
					
				</table>
				<div align="center">
					<br>
					<input type="submit" value="Save changes"/>
					<input type="reset" value="Undo changes">
					<input type="button" value="Cancel" onclick="window.location = '/notificationsTab' " />  
				</div>
				</form>	    

		</div> <!--end main DIV -->
	</div> <!--end content DIV -->

<%@ include file="footer.jsp" %>