echo off
rem ---------------------------------------------------------------------------
rem Backup script performs complete backup of currently configured logFaces database
rem Expected single parameter - the file name where backup will be saved.
rem 
rem Must be executed from LFS_INSTALL/bin directory only.
rem Expecting java to be installed and available to launch.
rem ---------------------------------------------------------------------------
echo on

set BACKUP_FILE=%1
set JAVA_OPTS=-Xms256m -Xmx512m

@echo off
 setLocal EnableDelayedExpansion
 set CLASSPATH="
 for /R ../lib %%a in (*.jar) do (
   set CLASSPATH=!CLASSPATH!;%%a
 )
 
 set CLASSPATH=!CLASSPATH!;../conf/*
 set CLASSPATH=!CLASSPATH!"
 echo !CLASSPATH!
 
if "%BACKUP_FILE%"=="" set BACKUP_FILE=backup-data.lfb
java -cp %CLASSPATH% %JAVA_OPTS% com.moonlit.logfaces.server.backup.Backup %BACKUP_FILE%